Bug 1010701 - xpdf from EPEL still needs pdfdetach
xpdf from EPEL still needs pdfdetach
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: xpdf (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-22 12:24 EDT by Michal Jaegermann
Modified: 2013-10-08 16:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: xpdf-3.03-8.el6.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 16:37:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2013-09-22 12:24:14 EDT
Description of problem:

Contrary to a changelog entry from Fri May 25 2012 on RHEL/CentOS poppler-utils do not supply pdfdetach.  In order not to loose it a spec file for xpdf-3.03-8.el6 (at this moment on koji) needs an adjustment.  Something like that:

--- xpdf.spec~	2013-09-21 23:32:12.000000000 -0600
+++ xpdf.spec	2013-09-22 10:05:51.000000000 -0600
@@ -177,7 +177,11 @@ cp -pr xpdf-turkish/* $RPM_BUILD_ROOT%{_
 # poppler provides all utilities now
 # http://bugzilla.redhat.com/bugzillA/SHow_bug.cgi?id=177446
 # https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=219032
+%if 0%{?rhel}
+# Do Nothing.
+%else
 rm $RPM_BUILD_ROOT%{_bindir}/pdfdetach
+%endif
 rm $RPM_BUILD_ROOT%{_bindir}/pdffonts
 rm $RPM_BUILD_ROOT%{_bindir}/pdfimages
 rm $RPM_BUILD_ROOT%{_bindir}/pdfinfo
@@ -187,7 +191,11 @@ rm $RPM_BUILD_ROOT%{_bindir}/pdftotext
 rm $RPM_BUILD_ROOT%{_bindir}/pdftoppm
 rm $RPM_BUILD_ROOT%{_mandir}/man1/pdftoppm.1*
 %endif
+%if 0%{?rhel}
+# Do Nothing.
+%else
 rm $RPM_BUILD_ROOT%{_mandir}/man1/pdfdetach.1*
+%endif
 rm $RPM_BUILD_ROOT%{_mandir}/man1/pdffonts.1*
 rm $RPM_BUILD_ROOT%{_mandir}/man1/pdfimages.1*
 rm $RPM_BUILD_ROOT%{_mandir}/man1/pdfinfo.1*
@@ -229,6 +237,10 @@ update-desktop-database &> /dev/null ||:
 %{_bindir}/pdftoppm
 %{_mandir}/man?/pdftoppm*
 %endif
+%if 0%{?rhel}
+%{_bindir}/pdfdetach
+%{_mandir}/man?/pdfdetach*
+%endif
 %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/xpdfrc
 %dir %{_sysconfdir}/xpdf
 %lang(ar) %config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/xpdf/add-to-xpdfrc.arabic


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Fedora Update System 2013-09-22 23:58:07 EDT
xpdf-3.03-8.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11667/xpdf-3.03-8.el5.1
Comment 2 Fedora Update System 2013-09-23 00:00:15 EDT
xpdf-3.03-8.el6.1 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11666/xpdf-3.03-8.el6.1
Comment 3 Fedora Update System 2013-09-23 14:11:05 EDT
Package xpdf-3.03-8.el6.1:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xpdf-3.03-8.el6.1'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11666/xpdf-3.03-8.el6.1
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-08 16:37:09 EDT
xpdf-3.03-8.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-10-08 16:38:21 EDT
xpdf-3.03-8.el6.1 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.